import RPi.GPIO as GPIO
from time import sleep

# SLP & Mx config
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

GPIO.setup(17, GPIO.OUT) #EN1
GPIO.setup(27, GPIO.OUT) #DIR1
GPIO.setup(22, GPIO.OUT) #STP1
GPIO.setup(5, GPIO.OUT)  #RES1
GPIO.setup(26, GPIO.OUT) # DEC1
GPIO.setup(13, GPIO.OUT) #M10
GPIO.setup(19, GPIO.OUT) #M11

GPIO.output(5, GPIO.LOW) #RES1 pulse
sleep(0.2)
GPIO.output(5, GPIO.HIGH)
sleep(0.2)
GPIO.output(26, GPIO.LOW) # DEC1 slow/mixed
GPIO.output(17, GPIO.LOW) #EN DRV
GPIO.output(27, GPIO.LOW) #DIR set
GPIO.output(13, GPIO.LOW) #MS10=0
GPIO.output(19, GPIO.LOW) #MS11=0, 1/1 step
x=0

while x < 1440:
  print("STEP: ",x)
  GPIO.output(22, GPIO.LOW) # STP+
  GPIO.output(22, GPIO.HIGH)
  sleep(0.01)
  x=x+1

GPIO.output(17, GPIO.HIGH) #EN DRV
GPIO.output(5, GPIO.LOW) #RES DRV
GPIO.cleanup()
