import RPi.GPIO as GPIO
from time import sleep

# SLP & Mx config
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

GPIO.setup(23, GPIO.OUT) #EN2
GPIO.setup(24, GPIO.OUT) #DIR2
GPIO.setup(25, GPIO.OUT) #STP2
GPIO.setup(6, GPIO.OUT)  #RES2
GPIO.setup(20, GPIO.OUT) #DEC2
GPIO.setup(12, GPIO.OUT) #M20
GPIO.setup(16, GPIO.OUT) #M21

GPIO.output(6, GPIO.LOW) #RES2 pulse
sleep(0.2)
GPIO.output(6, GPIO.HIGH)
sleep(0.2)
GPIO.output(20, GPIO.LOW) #DEC2 slow/mixed
GPIO.output(23, GPIO.LOW) #EN DRV
GPIO.output(24, GPIO.LOW) #DIR set
GPIO.output(12, GPIO.LOW) #MS20=0
GPIO.output(16, GPIO.LOW) #MS21=0, 1/1 step
x=1

while x < 1440:
  print("STEP: ",x)
  GPIO.output(25, GPIO.LOW) # STP+
  GPIO.output(25, GPIO.HIGH)
  sleep(0.01)
  x=x+1

GPIO.output(23, GPIO.LOW) #EN DRV
GPIO.output(6, GPIO.LOW) #RES1
GPIO.cleanup()
